package com.steerinfo.dil.service;


import com.steerinfo.dil.model.TmstruckEnfactoryResult;

import java.util.List;
import java.util.Map;

/**
 * TmstruckEnfactoryResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-08 06:23
 * 类描述
 * 修订历史：
 * 日期：2021-09-08
 * 作者：generator
 * 参考：
 * 描述：TmstruckEnfactoryResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckEnfactoryResultService{
    //获取所有进厂实绩
    List<Map<String, Object>> getAllEnFactoryResult(Map<String, Object> map);

    //采从门岗系统采集信息后 新增进厂作业
    int addEnFactoryResult(Map<String, Object> map);

    //使用PDA方式进厂更新实绩
    int updateEnFactoryByPDA(Map<String,Object> map);

    //使用门禁系统进厂更新实绩
    int updateEnFactoryByMenJin(Map<String,Object> map);

    //查找排队序号
    Integer selectNodeNumber(String orderNumber);
}