package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstruckLoadResult;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * TmstruckLoadResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-02 10:38
 * 类描述
 * 修订历史：
 * 日期：2021-09-02
 * 作者：generator
 * 参考：
 * 描述：TmstruckLoadResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckLoadResultService{
    //查询所有的装车实绩
    List<Map<String, Object>> getAllLoadResult(Map<String, Object> map);

    //新增装车实绩
    int addLoadResult(Map<String, Object> map);

    //修改装车作业
    int updateLoadResult(TmstruckLoadResult tmstruckLoadResult);

    //通过Id获取装车实绩 数据 用于修改
    List<Map<String, Object>> getLoadResultById(Integer resultId);

    //逻辑删除装车作业
    int deleteLoadResult(Integer resultId);
}