package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckTotalResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface TmstruckTotalResultMapper extends IBaseMapper<TmstruckTotalResult, BigDecimal> {
    //查询最大ID值
    @Select("select seq_tmstruck_total_result.nextval from dual")
    BigDecimal selectMaxId();
}