package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.TmstruckReceiptResultMapper;
import com.steerinfo.dil.service.ITmstruckReceiptResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstruckReceiptResult服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-10 10:10
 * 类描述
 * 修订历史：
 * 日期：2021-09-10
 * 作者：generator
 * 参考：
 * 描述：TmstruckReceiptResult服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmstruckReceiptResultService")
public class TmstruckReceiptResultServiceImpl implements ITmstruckReceiptResultService {

    @Autowired
    private TmstruckReceiptResultMapper tmstruckReceiptResultMapper;

    /**
     * 查询所有签收实绩
     * @param map
     * @return
     */
    @Override
    public List<Map<String, Object>> getReceiveResult(Map<String, Object> map) {
        return tmstruckReceiptResultMapper.getReceiveResult(map);
    }
}
